onEvent("recipes", (event) => {

//Glowstone Elevation Unit
event.custom(
{
  "type": "thermal:bottler",
  "ingredients": [
    {
      "item": 'simplyjetpacks:unit_glowstone_empty'
    },
    {
      "fluid": "thermal:glowstone",
      "amount": 2000
    }
  ],
  "result": [
    {
      "item": 'simplyjetpacks:unit_glowstone'
    }
  ]
})
//Cryotheum Coolant Unit
event.custom(
{
  "type": "thermal:bottler",
  "ingredients": [
    {
      "item": 'simplyjetpacks:unit_cryotheum_empty'
    },
    {
      "fluid": "kubejs:gelid_cryotheum",
      "amount": 2000
    }
  ],
  "result": [
    {
      "item": 'simplyjetpacks:unit_cryotheum'
    }
  ]
})

//Gelid Enderium Armor Plating
event.remove({ output: 'simplyjetpacks:armorplating_te5_enderium' })
event.shaped('simplyjetpacks:armorplating_te5_enderium', [
'LLL',
'SGS',
'LLL'
], {
  L: 'kubejs:gelid_enderium_ingot',
  G: 'thermal:enderium_plate',
  S: 'thermal:emerald_gear'
})

//Vanilla Jetpacks Removing
event.remove({ output: 'simplyjetpacks:jetpack_vanilla1' })
event.remove({ output: 'simplyjetpacks:jetpack_vanilla2' })
event.remove({ output: 'simplyjetpacks:jetpack_vanilla3' })
event.remove({ output: 'simplyjetpacks:jetpack_vanilla4' })
event.remove({ output: 'simplyjetpacks:jetpack_vanilla1_armored' })
event.remove({ output: 'simplyjetpacks:jetpack_vanilla2_armored' })
event.remove({ output: 'simplyjetpacks:jetpack_vanilla3_armored' })
event.remove({ output: 'simplyjetpacks:jetpack_vanilla4_armored' })
event.remove({ output: 'simplyjetpacks:thruster_vanilla1' })
event.remove({ output: 'simplyjetpacks:thruster_vanilla2' })
event.remove({ output: 'simplyjetpacks:thruster_vanilla3' })
event.remove({ output: 'simplyjetpacks:thruster_vanilla4' })

//Jetpacks Craft function
function jetpack(result, metal, topitem, middle, thruster, ticks) {

  event.remove({ output: result })
  event.custom(
  {
    "input": [
      {
        "tag": metal
      },
      {
        "item": topitem
      },
      {
        "tag": metal
      },
      {
        "tag": metal
      },
      {
        "tag": metal
      },
      {
        "item": thruster
      },
      {
        "item": middle
      },
      {
        "item": thruster
      }
    ],
    "inputFluid": "{FluidName:\"industrialforegoing:pink_slime\",Amount:2000}",
    "processingTime": ticks,
    "output": {
      "item": result,
      "count": 1
    },
    "type": "industrialforegoing:dissolution_chamber"
  })
}

//Jetpack Craft
//Leadstone
jetpack('simplyjetpacks:jetpack_te1', 'forge:ingots/lead', 'thermal:energy_cell', 'simplyjetpacks:leather_strap', 'simplyjetpacks:thruster_te1', 700)
//Hardened
jetpack('simplyjetpacks:jetpack_te2', 'forge:ingots/invar', 'thermal:energy_cell', 'simplyjetpacks:jetpack_te1', 'simplyjetpacks:thruster_te2', 800)
//Reinforced
jetpack('simplyjetpacks:jetpack_te3', 'forge:ingots/electrum', 'thermal:energy_cell', 'simplyjetpacks:jetpack_te2', 'simplyjetpacks:thruster_te3', 900)
//Resonant
jetpack('simplyjetpacks:jetpack_te4', 'forge:ingots/enderium', 'thermal:energy_cell', 'simplyjetpacks:jetpack_te3', 'simplyjetpacks:thruster_te4', 1000)
//LV
jetpack('simplyjetpacks:jetpack_ie1', 'forge:plates/iron', 'immersiveengineering:component_steel', 'simplyjetpacks:leather_strap', 'simplyjetpacks:thruster_ie1', 700)
//MV
jetpack('simplyjetpacks:jetpack_ie2', 'forge:plates/aluminum', 'immersiveengineering:electron_tube', 'simplyjetpacks:jetpack_ie1', 'simplyjetpacks:thruster_ie2', 800)
//HV
jetpack('simplyjetpacks:jetpack_ie3', 'forge:plates/steel', 'immersiveengineering:circuit_board', 'simplyjetpacks:jetpack_ie2', 'simplyjetpacks:thruster_ie3', 900)
//Basic
jetpack('simplyjetpacks:jetpack_mek1', 'forge:ingots/osmium', 'mekanism:basic_control_circuit', 'simplyjetpacks:leather_strap', 'simplyjetpacks:thruster_mek1', 700)
//Advanced
jetpack('simplyjetpacks:jetpack_mek2', 'forge:ingots/osmium', 'mekanism:advanced_control_circuit', 'simplyjetpacks:jetpack_mek1', 'simplyjetpacks:thruster_mek2', 800)
//Elite
jetpack('simplyjetpacks:jetpack_mek3', 'forge:ingots/osmium', 'mekanism:elite_control_circuit', 'simplyjetpacks:jetpack_mek2', 'simplyjetpacks:thruster_mek3', 900)
//Ultimate
jetpack('simplyjetpacks:jetpack_mek4', 'forge:ingots/osmium', 'mekanism:ultimate_control_circuit', 'simplyjetpacks:jetpack_mek3', 'simplyjetpacks:thruster_mek4', 1000)
})
